package _VisualDVM.ProjectData.SapforData.Regions;
import Common.Database.Tables.DataSet;
import Common.Visual.DataSetControlForm;
import _VisualDVM.ProjectData.SapforData.Regions.UI.ParallelRegionsForm;

import javax.swing.*;
import java.math.BigInteger;
public class ParallelRegionsSet extends DataSet<BigInteger, ParallelRegion> {
    //суррогат. нужен только для сохры столбцов. во всяком случае пока.
    public ParallelRegionsSet() {
        super(BigInteger.class, ParallelRegion.class);
    }
    @Override
    public String getSingleDescription() {
        return "область распараллеливания";
    }
    @Override
    public String getPluralDescription() {
        return "области распараллеливания";
    }
    @Override
    protected DataSetControlForm createUI(JPanel mountPanel) {
        return new ParallelRegionsForm(this, mountPanel);
    }
}
